import { BaseEntity } from './../../shared';

export class CommunicationEventCDB implements BaseEntity {
    constructor(
        public id?: any,
        public idCommunicationEvent?: any,
        public idCustomer?: string,
        public hobby?: string,
        public homeStatus?: string,
        public expenditureOneMonth?: string,
        public job?: string,
        public lastEducation?: string,
        public mobilePhoneOwnershipStatus?: string,
        public infoAboutHonda?: string,
        public vehicleBrandOwner?: string,
        public vehicleTypeOwner?: string,
        public buyFor?: string,
        public vehicleUser ?: string,
        public idOrder?: any,
        public facebook?: any,
        public twitter?: any,
        public youtube?: any,
        public instagram?: any,
        public email?: any,
        public idReligion?: any,
        public isCityzenIdCardAddress?: any,
        public isMailAddress?: any,
        public idProvince?: any,
        public idCity?: any,
        public idDistrict?: any,
        public idVillage?: any,
        public address?: any,
        public idProvinceSurat?: any,
        public idCitySurat?: any,
        public idDistrictSurat?: any,
        public idVillageSurat?: any,
        public addressSurat?: any,
        public jenisPembayaran?: any,
        public groupCustomer?: any,
        public keterangan?: any,
        public citizenship?: any,
        public postalCode?: any,
        public postalCodeSurat?: any,
    ) {
    }
}
